var java = require('java');
var http = require('http');
var middler = require('middler');
var request = require('request');
var cortanaTts = require('./cortanaTts');
var device = require('device');
var util = require('util');
var java = require('java');
var app = middler();
var logger = require('logger')(__filename);

app.post('/registrationId', function(req, res) {

    logger.log('registration id endpoint called');

    var agentGatewayUrl = 'https://platform.bing.com/agents/v2/cgw/device/Register';

    device.getRegistrationHeaders(function(err, headers) {
            if (err) {
              logger.error('failed to get headers', err);
              res.writeHead(500);
              return res.end();
            }

            var resolution = java.device.utils.getScreenResolution();
            var payload = {
              appId: req.body.appId,
              deviceId: java.device.utils.getDeviceId(),
              platform: req.body.channelType,
              deviceType: "Phone",
              resolution: resolution.getWidth() + ','+resolution.getHeight(),
              channels: {
                primary: {
                  channelUri: req.body.regId
                }
              },
              properties: {
                timezone: req.body.timeZone
              }
            }

            logger.log('registering device headers', headers);
            logger.log('registering device payload', payload);

            return request.post(agentGatewayUrl, {json:payload, headers: headers}, function(err, response, body) {
              if (err) {
                logger.error('failed to register daemon', err);
                res.writeHead(500);
                return res.end();
              }

              if(!body || !body.success || body.success !== "true") {
                logger.error('failed to register daemon, status code', response.statusCode, body);
                res.writeHead("500");
                return res.end();
              }

              logger.log('post call to register daemon completed successfully', response.statusCode, body);
              res.writeHead("200");
              return res.end();
            });
        }
    );
});

app.post('/cortanaTts', function(req,res) {

    var text = req.body.text;
	var appLanguage = req.body.appLanguage;
    var outputFormat = req.headers['outputformat'];
    logger.log('getting cortana speak: ', text, outputFormat, appLanguage);

    cortanaTts.requestCortanaSpeak(text, outputFormat, appLanguage, function(err, speakResponse){

        if(err) {
            logger.error('error getting cortana tts for text: ', err.message);
            res.writeHead(500);
            return res.end();
        }

        for(var header in speakResponse.headers) {
            res.setHeader(header, speakResponse.headers[header]);
        }

        return speakResponse.pipe(res);
    });

});

module.exports = app;
