// ----------------------------------------------------------------------------------------------------------------------
//   Copyright 2014 (c) Microsoft Corporation.
//   Summary: Defines the base Browser file.
// ----------------------------------------------------------------------------------------------------------------------
//    ____
// ( ) __ ) _ __ _____  _   _____  ___ _ __
//  \|  _ \| '__/ _ \ \ /\ / / __|/ _ \ '__|
//   | |_) | | | (_) \ V  V /\__ \  __/ |
//   |____/|_|  \___/ \_/\_/ |___/\___|_|

/*jshint browser:true*/
/*global require:true module:true exports:true*/

"use strict"; // whole file

var module;
var exports;
var require = function (f) {
    return require.modules._define(f).exports;
};

require.modules = {
    _base: function (f) {
        // Keep this in sync with ClientGraphService::compile
        return f.split("/").slice(-1)[0].toLowerCase().replace(/\.js$/g, "");
    },

    _define: function (f) {
        var base = this._base(f);
        var ret = this[base];
        if (!ret) {
            ret = this[base] = { exports: {} };
        }
        return ret;
    }
};

// Do not modify placeholder used during compilation.
// INLINEMODULES

var graph = require("Graph").CreateGraph(undefined, true);
