// ----------------------------------------------------------------------------------------------------------------------
//   Copyright 2014 (c) Microsoft Corporation.
//   Summary: Defines the bootstrap data for the Graph.
// ----------------------------------------------------------------------------------------------------------------------
(function () {
    "use strict"; // whole file
    
    var config = "\n\
# Configuration    \n\
\n\
@prefix geo:    <http://www.opengis.net/ont/geosparql#> ;    \n\
geof:   <http://www.opengis.net/ont/geosparql/function/> ;    \n\
s:      <http://schema.org/> ;    \n\
b:      <http://platform.bing.com/maps/> ;    \n\
p:      <http://platform.bing.com/persons/> ;    \n\
rdf:    <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .    \n\
\n\
\n\
####################    \n\
# Favorites    \n\
####################    \n\
\n\
b:routeMode/Driving                            a b:routeMode .    \n\
b:routeMode/Walking                            a b:routeMode .    \n\
b:routeMode/Transit                            a b:routeMode .    \n\
\n\
b:routeOption/Highways                         a b:routeOption .    \n\
b:routeOption/Tolls                            a b:routeOption .    \n\
b:routeOption/MinimizeHighways                 a b:routeOption .    \n\
b:routeOption/MinimizeTolls                    a b:routeOption .    \n\
b:routeOption/ExpressTrain                     a b:routeOption .    \n\
b:routeOption/Airline                          a b:routeOption .    \n\
b:routeOption/BulletTrain                      a b:routeOption .    \n\
\n\
b:favorites.category/Home                      a b:favorites.category .    \n\
b:favorites.category/Work                      a b:favorites.category .    \n\
b:favorites.category/School                    a b:favorites.category .    \n\
b:favorites.category/Gym                       a b:favorites.category .    \n\
b:favorites.category/Grocery                   a b:favorites.category .    \n\
\n\
b:trafficAgentStatus/NoData                    a b:trafficAgentStatus .    \n\
b:trafficAgentStatus/Off                       a b:trafficAgentStatus .    \n\
b:trafficAgentStatus/Updating                  a b:trafficAgentStatus .    \n\
b:trafficAgentStatus/Error                     a b:trafficAgentStatus .    \n\
b:trafficAgentStatus/On                        a b:trafficAgentStatus .    \n\
\n\
####################    \n\
# My device             \n\
####################    \n\
\n\
<http://platform.bing.com/devices/me/bingStore> a s:Intangible/DataStore/BingDataStore .    \n\
\n\
\n\
####################    \n\
# Me defaults           \n\
####################    \n\
\n\
p:me a s:Person ;    \n\
b:person.preferences     p:me/preferences .    \n\
\n\
p:me/preferences a s:Thing/Preferences ;    \n\
b:preferences.favorites p:me/preferences/favorites .    \n\
\n\
p:me/preferences/favorites a s:Thing/Favorites .    \n\
\n\
p:me/geoAnnotationCollection.default  a s:Intangible/GeoAnnotationCollection .    \n\
p:me/geoAnnotationCollection.recent   a s:Intangible/GeoAnnotationCollection .    \n\
\n\
p:me/list.geoAnnotationCollection.default a rdf:List ;    \n\
rdf:first p:me/geoAnnotationCollection.default ;    \n\
rdf:rest p:me/list.geoAnnotationCollection.recent ;    \n\
s:displayOrder 0 ;    \n\
s:memberOf p:me/preferences/favorites .    \n\
\n\
p:me/list.geoAnnotationCollection.recent a rdf:List ;    \n\
rdf:first p:me/geoAnnotationCollection.recent ;    \n\
rdf:rest rdf:nil ;    \n\
s:displayOrder 1 ;    \n\
s:memberOf p:me/preferences/favorites .    \n\
";
    
    //      _____                       _
    //     | ____|_  ___ __   ___  _ __| |_ ___
    //     |  _| \ \/ / '_ \ / _ \| '__| __/ __|
    //     | |___ >  <| |_) | (_) | |  | |_\__ \
    //     |_____/_/\_\ .__/ \___/|_|   \__|___/
    //                |_|
    
    module.exports.Configuration = config;

// DO NOT PLACE ANYTHING BELOW THE FOLLOWING LINE -- IT
// BRACKETS THE ENTIRE FILE.
})();
