/// <disable>JS2043.RemoveDebugCode</disable>

/**
 * merges the test providers into the checked-in providers list
 * @param mergeObject the object that contains a list of the checked-in providers
 */
 
var settings = require('cortana.settings');
var settingsContainer = new settings.SettingsContainer();

try {
  if (settingsContainer.readBoolValue('Proactive', 'DisplayMetricsCard')) {
     module.exports.metrics = require('../../metrics/index.js');
  }
}
catch (err) {
  console.warn('DisplayMetricsCard not specified - ignoring', err);
}


module.exports.addTestProviders = function(mergeObject) {
  for(var objectMember in module.exports) { 
    if(typeof module.exports[objectMember] != 'function') {
      mergeObject[objectMember] = module.exports[objectMember];
    }
  }
}

module.exports.echo = require('../../echo_provider/index.js');
