/**
 * Auto-load bundled middleware with getters.
 */
var path = require('path');
var fs = require('fs');
var basename = path.basename;

// get the path to the connect middleware folder without loading connect
var connectPath = path.resolve(path.dirname(require.resolve('connect')), './lib/middleware');

fs.readdirSync(connectPath).forEach(function(filename){
  if (!/\.js$/.test(filename)) return;
  var name = basename(filename, '.js');
  function load(){ return require(connectPath + '/' + name); }
  exports.__defineGetter__(name, load);
});