var util = require('util');
var path = require('path');

var pathElements = __dirname.split(path.sep);
for(var i=0; i<pathElements.length; i++) {
    if(pathElements[i] == 'HalseyService') {
        pathElements = pathElements.slice(0, i+1);
        break;
    }
}

var rootDir = pathElements.join(path.sep);

module.exports = function(filePath) {

    var logger = {};

    var tag = '[' + filePath.replace(rootDir + path.sep, '') + ']';


    for(var method in console) {
        logger[method] = console[method];
    }

    logger.log =       function() { console.log(    tag, util.format.apply(null, arguments)); }
    logger.verbose =   function() { console.verbose(tag, util.format.apply(null, arguments)); }
    logger.debug =     function() { console.debug(  tag, util.format.apply(null, arguments)); }
    logger.warn =      function() { console.warn(   tag, util.format.apply(null, arguments)); }
    logger.info =      function() { console.info(   tag, util.format.apply(null, arguments)); }
    logger.error =     function() { console.error(  tag, util.format.apply(null, arguments)); }

    return logger;
}
