// Copyright(c) Microsoft Corporation. All rights reserved.
var middler = require("middler");
var app = middler();
var java = require('java');
var request = require('request');
var http = require('http');
var device = require('device');
var logger = require('logger')(__filename);

// we only expose the APIs that uses the bridge if we are running on the android device,
// so that we can still run the service on the PC while developing.
if(java.isAndroid) {
    if (java.device.messaging && java.device.messaging.on) {
        java.device.messaging.on('entity', function(entitySignal){
            var entityPayload = entitySignal.getEntityPayload();
            var locale = entitySignal.getLocale();
            logger.log('dss on message:', entityPayload);
            uploadEntity(entityPayload, locale);
        });
    }

     function uploadEntity(entityPayload, locale, cb) {
        cb = cb || function () {};
        device.getEntityHeaders(function(err, headers) {
                if (err) return cb(err);
                var agentGatewayUrl = 'https://platform.cn.bing.com/agents/v1/agentgateway/entity?type=suggestion&mkt='+locale;

                return request.post(agentGatewayUrl, {body: entityPayload, headers: headers}, function (err, response, body) {
                    if (err) {
                        logger.log('Failed upload entity.', err);
                        return cb(err);
                    }
                });
            }
        );
     };
}

module.exports = app;
