var fs = require('fs');
var path = require('path');
var middler = require('middler');

var logger = require('logger')(__filename);

module.exports = function() {
    logger.log('resoling __dirname', __dirname);
	var dir =  path.resolve(__dirname);
	logger.log('Loading services from', dir);
	var app = middler();

    logger.log('reading', dir);

	var services = fs.readdirSync(dir);
    services.forEach(function(file) {
		if(file === 'index.js') return;
        var namespace = file;
        file = path.join(dir, file, 'index.js');

		if (fs.existsSync(file)) {
			var serviceApp = require(file);
            var route = '/' + namespace;
			logger.log(route, '==>', file);

            (function(basePath, serviceApp) {
                app.add(basePath + '/*', function(req, res, next) {
                  // remove the base path so we will be left with the internal path only
                  req.url = req.url.substr(basePath.length);
                  serviceApp.handler(req, res, next);
                });
              })(route, serviceApp);
		}
	});

    return app;
};
